Virtualbricks' pre-release version are not compatible with Debian' version

Bug #1556039 reported by Marco Giusti on 2016-03-11
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Virtualbricks
High
Marco Giusti

Bug Description

Virtulabricks' version is in the form X.Y.ZpreK and this is evaluated
greater than X.Y.Z while it should not.

    $ dpkg --compare-versions 1.0.3 gt 1.0.3pre1 ; ehco $?
    1

Debian prefers versions in the form X.Y.Z~preK:

    $ dpkg --compare-versions 1.0.3 gt 1.0.3~pre1 ; ehco $?
    0

In the shell 0 means true, 1 means false.

 affects virtualbrick
 assignee marco-giusti
 status new
 importance high
 milestone 1.0.3

Fixed on commit #924.

 status fixcommitted

Changed in virtualbrick:
status: New → Fix Committed
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers